CVE-2006-1789
CVSS5.0
发布时间 :2006-04-13 18:02:00
修订时间 :2011-03-07 21:34:07
NMCO    

[原文]Directory traversal vulnerability in pajax_call_dispatcher.php in PAJAX 0.5.1 and earlier allows remote attackers to read arbitrary files via the $className variable.


[CNNVD]PAJAX pajax_call_dispatcher.php远程执行任意命令漏洞(CNNVD-200604-204)

        PAJAX是一个使用JavaScript创建远程PHP对象的框架系统。
        PAJAX的实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        PAJAX的pajax_call_dispatcher.php脚本对用户提交的POST参数没有做充分的检查过滤,可能由此执行嵌入其中的PHP代码。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1789
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1789
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-204
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1353
(UNKNOWN)  VUPEN  ADV-2006-1353
http://www.redteam-pentesting.de/advisories/rt-sa-2006-001.php
(UNKNOWN)  MISC  http://www.redteam-pentesting.de/advisories/rt-sa-2006-001.php
http://xforce.iss.net/xforce/xfdb/25860
(UNKNOWN)  XF  pajax-pajaxcalldispatcher-dir-traversal(25860)
http://www.securityfocus.com/bid/17519
(UNKNOWN)  BID  17519
http://www.securityfocus.com/archive/1/archive/1/431029/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060413 PAJAX Remote Code Injection and File Inclusion Vulnerability
http://www.osvdb.org/24862
(UNKNOWN)  OSVDB  24862
http://secunia.com/advisories/19653
(UNKNOWN)  SECUNIA  19653
http://archives.neohapsis.com/archives/fulldisclosure/2006-04/0270.html
(UNKNOWN)  FULLDISC  20060413 PAJAX Remote Code Injection and File Inclusion Vulnerability

- 漏洞信息

PAJAX pajax_call_dispatcher.php远程执行任意命令漏洞
中危 路径遍历
2006-04-13 00:00:00 2006-04-15 00:00:00
远程  
        PAJAX是一个使用JavaScript创建远程PHP对象的框架系统。
        PAJAX的实现上存在输入验证漏洞,远程攻击者可能利用此漏洞在服务器上以Web进程权限执行任意命令。
        PAJAX的pajax_call_dispatcher.php脚本对用户提交的POST参数没有做充分的检查过滤,可能由此执行嵌入其中的PHP代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://download.auberger.com/pajax-0.5.2.zip

- 漏洞信息

24862
PAJAX pajax_call_dispatcher.php className Parameter Traversal Arbitrary File Access
Remote / Network Access Input Manipulation
Loss of Confidentiality
Exploit Public

- 漏洞描述

PAJAX contains a flaw that allows a remote attacker to access arbitrary files outside of the web path. The issue is due to the pajax_call_dispatcher.php script not properly sanitizing user input, specifically directory traversal style attacks (../../) supplied via the 'className' variable.

- 时间线

2006-04-14 2006-03-30
2006-04-13 Unknow

- 解决方案

Upgrade to version 0.5.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站